Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTaskDefinitionCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<org.kie.internal.task.api.model.TaskDef>
          org.jbpm.services.task.commands.GetTaskDefinitionCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<org.kie.internal.task.api.model.TaskDef>, Command<org.kie.internal.task.api.model.TaskDef>

    public class GetTaskDefinitionCommand

extends TaskCommand<org.kie.internal.task.api.model.TaskDef>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTaskDefinitionCommand()`
`GetTaskDefinitionCommand(String definitionId)`

Method Summary
`org.kie.internal.task.api.model.TaskDef` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getDefinitionId()`
`void` | `setDefinitionId(String definitionId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTaskDefinitionCommand

    public GetTaskDefinitionCommand()

### GetTaskDefinitionCommand

    public GetTaskDefinitionCommand(String definitionId)

Method Detail

### getDefinitionId

    public String getDefinitionId()

### setDefinitionId

    public void setDefinitionId(String definitionId)

### execute

    public org.kie.internal.task.api.model.TaskDef execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.